### Enumeration

# Adw TabViewShortcuts

#### Declaration

    flags Adw.TabViewShortcuts

#### Description [src]

Describes available shortcuts in an `AdwTabView`.

Shortcuts can be set with `AdwTabView:shortcuts`, or added/removed individually with `adw_tab_view_add_shortcuts()` and `adw_tab_view_remove_shortcuts()`.

New values may be added to this enumeration over time.

Available since: | 1.2

#### Members

Name | Description
--- | ---
`ADW_TAB_VIEW_SHORTCUT_NONE` | No shortcuts.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_TAB` | `Ctrl`+`Tab` - switch to the next page, with looping.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_TAB` | `Shift`+`Ctrl`+`Tab` - switch to the previous page, with looping.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_PAGE_UP` | `Ctrl`+`Page Up` - switch to the previous page.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_PAGE_DOWN` | `Ctrl`+`Page Down` - switch to the next page.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_HOME` | `Ctrl`+`Home` - switch to the first page.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_END` | `Ctrl`+`End` - switch to the last page.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_PAGE_UP` | `Ctrl`+`Shift`+`Page Up` - move the selected page backward.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_PAGE_DOWN` | `Ctrl`+`Shift`+`Page Down` - move the selected page forward.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_HOME` | `Ctrl`+`Shift`+`Home` - move the selected page at the start.
`ADW_TAB_VIEW_SHORTCUT_CONTROL_SHIFT_END` | `Ctrl`+`Shift`+`End` - move the current page at the end.
`ADW_TAB_VIEW_SHORTCUT_ALT_DIGITS` | `Alt`+`1`⋯`9` - switch to pages 1-9
`ADW_TAB_VIEW_SHORTCUT_ALT_ZERO` | `Alt`+`0` - switch to page 10
`ADW_TAB_VIEW_SHORTCUT_ALL_SHORTCUTS` | All of the shortcuts.